/*

    Island Mandel, a puzzle game taking place on the Mandelbrot-set
    Copyright (C) 2008,2012  Daniel Kraft <d@domob.eu>
    
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

/* The main routine for gimandel, the Gtk+ front-end for Island Mandel.
 */

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

#ifndef ICONDIR
# error ICONDIR should be defined from configuration!
#endif

#include "GameWindow.hpp"

#include <cstdlib>

#include <gtk/gtk.h>

using namespace islandmandel;
using namespace gimandel;

int main(int argc, char** argv)
{
  // We need randomness
  std::srand(time(NULL));

  // Initialize Gtk+
  gtk_init (&argc, &argv);

  // Set icon.
  gtk_window_set_default_icon_from_file (ICONDIR "/imandel.png", NULL);

  // Create the game window
  GameWindow main;
  const bool start(main.show());

  // Run the main loop
  if(start)
    gtk_main();

  return EXIT_SUCCESS;
}
